const systemManageRoutes = [
  {
    name: 'systemManage',
    path: '/system_manage',
    meta: { title: '系统配置', icon: 'icon-shouye2', isNav: true },
    redirect: '/system_manage/area_manage',
    component: resolve => require(['../../views/layout'], resolve),
    children: [
      {
        name: 'areaManage',
        path: '/system_manage/area_manage',
        meta: { title: '域管理', isNav: true },
        component: resolve => require(['../../views/esb_service/area_manage'], resolve)
      },
      {
        name: 'nodeManage',
        path: '/system_manage/node_manage',
        meta: { title: '节点管理', isNav: true },
        component: resolve => require(['../../views/esb_service/node_manage'], resolve)
      },
      {
        name: 'systemManageUserManage',
        path: '/system_manage/user_manage',
        meta: { title: '用户管理', isNav: true },
        component: resolve => require(['../../views/system_manage/user_manage'], resolve)
      },
      {
        name: 'versionManagement',
        path: '/system_manage/versionManagement',
        meta: { title: '版本管理', isNav: true },
        component: resolve => require(['../../views/system_manage/versionManagement'], resolve)
      },
      {
        name: 'systemManageRoleManage',
        path: '/system_manage/role_manage',
        meta: { title: '角色管理', isNav: true },
        component: resolve => require(['../../views/system_manage/role_manage'], resolve)
      },
      {
        name: 'systemManageNavConfig',
        path: '/system_manage/navConfig',
        meta: { title: '导航维护', isNav: true },
        component: resolve => require(['../../views/system_manage/navConfig'], resolve)
      },
      {
        name: 'systemManageFindReplace',
        path: '/system_manage/FindReplace',
        meta: { title: '查找替换', isNav: true },
        component: resolve => require(['../../views/system_manage/FindReplace'], resolve)
      },
      // {
      //   name: 'systemManageNavConfig',
      //   path: '/system_manage/public',
      //   meta: { title: '发布管理', isNav: true },
      //   component: resolve => require(['../../views/system_manage/pulicList'], resolve)
      // },
      // {
      //   name: 'systemManageBlackWhiteList',
      //   path: '/system_manage/blackWhiteList',
      //   meta: { title: '黑白名单', isNav: true },
      //   component: resolve => require(['../../views/system_manage/blackWhiteList'], resolve)
      // },
      {
        name: 'systemManageFlowLimit',
        path: '/system_manage/flowLimit',
        meta: { title: '流量限制管理', isNav: true },
        component: resolve => require(['../../views/system_manage/flowLimit'], resolve)
      },
      {
        name: 'systemConfigExport',
        path: '/system_manage/import_and_export/export',
        meta: { title: '导出', isNav: false, parentTitle: '导入导出' },
        component: resolve => require(['../../views/system_manage/import_and_export/export'], resolve)
      },
      {
        name: 'systemConfigExports',
        path: '/system_manage/import_and_export/exports',
        meta: { title: '导出', isNav: false, parentTitle: '导入导出' },
        component: resolve => require(['../../views/system_manage/import_and_export/export/indexx'], resolve)
      },
      {
        name: 'systemConfigImportAndExport',
        path: '/system_manage/import_and_export/import',
        meta: {
          title: '导入',
          isNav: true,
          parentTitle: '导入导出'
          // children: [
          //   { icon: 'poll', title: '导入', to: '/system_manage/import_and_export/import' },
          //   { icon: 'poll', title: '导出', to: '/system_manage/import_and_export/export' }
          // ]
        },
        component: resolve => require(['../../views/system_manage/import_and_export/import'], resolve)
      },
      {
        name: 'systemConfigImportAndExport',
        path: '/system_manage/import_and_export/imports',
        meta: {
          title: 'OSB导入',
          isNav: true,
          parentTitle: '导入导出'
        },
        component: resolve => require(['../../views/system_manage/import_and_export/imports'], resolve)
      },
      // {
      //   name: 'globalVariableConfiguration',
      //   path: '/system_manage/global_configuration/global_variable_configuration',
      //   meta: { title: '全局变量配置', isNav: true },
      //   component: resolve => require(['../../views/global_configuration/global_variable_configuration'], resolve)
      // },
      // {
      //   name: 'statusManage',
      //   path: '/system_manage/global_configuration/status_manage',
      //   meta: { title: '状态码', isNav: true },
      //   component: resolve => require(['../../views/esb_service/status_manage'], resolve)
      // },
      // {
      //   name: 'transformSchema',
      //   path: '/system_manage/global_configuration/transform_schema',
      //   meta: { title: '生成Schema', isNav: true },
      //   component: resolve => require(['../../views/esb_service/transform_schema'], resolve)
      // },
      // {
      //   name: 'accounts',
      //   path: '/system_manage/global_configuration/accounts',
      //   meta: { title: '服务账户', isNav: true },
      //   component: resolve => require(['../../views/esb_service/accounts'], resolve)
      // },
      // {
      //   name: 'esbServiceConnector',
      //   path: '/system_manage/global_configuration/connector',
      //   meta: { title: '适配器', isNav: true },
      //   component: resolve => require(['../../views/esb_service/connector'], resolve)
      // }
      // {
      //   name: 'systemConfigImportAndExport',
      //   path: '/system_config/import_and_export/import',
      //   meta: {
      //     title: '导入导出', isNav: true,
      //     children: [
      //       { icon: 'poll', title: '导入', to: '/system_config/import_and_export/import' },
      //       { icon: 'poll', title: '导出', to: '/system_config/import_and_export/export' },
      //     ]
      //   },
      //   component: resolve => require(['../../views/system_config/import_and_export/import'], resolve)
      // },
    ]
  }
]
export default systemManageRoutes
